from corpusparser import Parser 
import argparse

if __name__ == "__main__":
	parser = argparse.ArgumentParser(description="Parsing corpora kres and ssj500k.")
	parser.add_argument('--kres-folder', required=True)
	parser.add_argument('--kres-srl-folder', required=True)
	parser.add_argument('--ssj-file', required=True)
	args = parser.parse_args()	

	# parse ssj
	"""
	ssj_parser = Parser(
		corpus="ssj",
		infiles=[args.ssj_file]
	)
	ssj_parser.parse()
	"""

	# parse kres
	kres_parser = Parser(
		corpus="kres",
		infiles=[args.kres_folder, args.kres_srl_folder]
	)
	kres_parser.parse()
